com.google.gwt.user.client.ui

## Class TabListenerCollection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<TabListener>
      - - com.google.gwt.user.client.ui.TabListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<TabListener>, java.util.Collection<TabListener>, java.util.List<TabListener>, java.util.RandomAccess

Deprecated.
Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type<H>)`

    @Deprecated
    public class TabListenerCollection
    extends java.util.ArrayList<TabListener>

A helper class for implementers of the `SourcesTabEvents` interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `TabListener`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`TabListenerCollection()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `fireBeforeTabSelected(SourcesTabEvents sender, int tabIndex)` Deprecated. Fires a beforeTabSelected event to all listeners.
`void` `fireTabSelected(SourcesTabEvents sender, int tabIndex)` Deprecated. Fires a tabSelected event to all listeners.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### TabListenerCollection

    public TabListenerCollection()

Deprecated.

### Method Detail

#### fireBeforeTabSelected

    public boolean fireBeforeTabSelected(SourcesTabEvents sender,
                                         int tabIndex)

Deprecated.
Fires a beforeTabSelected event to all listeners.

Parameters:
  `sender` - the widget sending the event
  `tabIndex` - the index of the tab being selected

#### fireTabSelected

    public void fireTabSelected(SourcesTabEvents sender,
                                int tabIndex)

Deprecated.
Fires a tabSelected event to all listeners.

Parameters:
  `sender` - the widget sending the event
  `tabIndex` - the index of the tab being selected